OGRE-Next: Ogre::v1::GLES2HardwareUniformBuffer Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::v1::GLES2HardwareUniformBuffer Class Reference

Specialisation of HardwareUniformBuffer for OpenGL. More...

`#include <OgreGLES2HardwareUniformBuffer.h>`

Inheritance diagram for Ogre::v1::GLES2HardwareUniformBuffer:
[legend]

## Public Member Functions
| GLES2HardwareUniformBuffer (HardwareBufferManagerBase *mgr, size_t bufferSize, HardwareBuffer::Usage usage, bool useShadowBuffer, const String &name)
| ~GLES2HardwareUniformBuffer ()
void | copyData (HardwareBuffer &srcBuffer, size_t srcOffset, size_t dstOffset, size_t length, bool discardWholeBuffer=false)
| See HardwareBuffer.
GLint | getGLBufferBinding () const
GLuint | getGLBufferId () const
void | readData (size_t offset, size_t length, void *pDest)
| See HardwareBuffer.
void | setGLBufferBinding (GLint binding)
void | writeData (size_t offset, size_t length, const void *pSource, bool discardWholeBuffer=false)
| See HardwareBuffer.

## Detailed Description

Specialisation of HardwareUniformBuffer for OpenGL.

## Constructor & Destructor Documentation

## ◆ GLES2HardwareUniformBuffer()

Ogre::v1::GLES2HardwareUniformBuffer::GLES2HardwareUniformBuffer | ( | HardwareBufferManagerBase * | mgr,
|  | size_t | bufferSize,
|  | HardwareBuffer::Usage | usage,
|  | bool | useShadowBuffer,
|  | const String & | name )

## ◆ ~GLES2HardwareUniformBuffer()

Ogre::v1::GLES2HardwareUniformBuffer::~GLES2HardwareUniformBuffer | ( |  | ) |

## Member Function Documentation

## ◆ copyData()

void Ogre::v1::GLES2HardwareUniformBuffer::copyData | ( | HardwareBuffer & | srcBuffer,
|  | size_t | srcOffset,
|  | size_t | dstOffset,
|  | size_t | length,
|  | bool | discardWholeBuffer = false )

See HardwareBuffer.

## ◆ getGLBufferBinding()

GLint Ogre::v1::GLES2HardwareUniformBuffer::getGLBufferBinding | ( |  | ) | const
| inline

## ◆ getGLBufferId()

GLuint Ogre::v1::GLES2HardwareUniformBuffer::getGLBufferId | ( |  | ) | const
| inline

## ◆ readData()

void Ogre::v1::GLES2HardwareUniformBuffer::readData | ( | size_t | offset,
|  | size_t | length,
|  | void * | pDest )

See HardwareBuffer.

## ◆ setGLBufferBinding()

void Ogre::v1::GLES2HardwareUniformBuffer::setGLBufferBinding | ( | GLint | binding | ) |

## ◆ writeData()

void Ogre::v1::GLES2HardwareUniformBuffer::writeData | ( | size_t | offset,
|  | size_t | length,
|  | const void * | pSource,
|  | bool | discardWholeBuffer = false )

See HardwareBuffer.

The documentation for this class was generated from the following file:

- OgreGLES2HardwareUniformBuffer.h